import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (p, r, o, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, o) : r, c = p.length - 1, i; c >= 0; c--)
    (i = p[c]) && (e = (t ? i(r, o, e) : i(e)) || e);
  return t && e && f(r, o, e), e;
};
let s = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--share2", this.class = "c-pieIcon c-pieIcon--share2", this.name = "IconShare2";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--share2"><path fill-rule="evenodd" d="m8.656 3.301 1.83 1.829.927-.928L8.77 1.56A1.06 1.06 0 0 0 8 1.236c-.28 0-.56.114-.77.324L4.58 4.211l.927.928L7.344 3.3v5.233h1.312zM9.97 6.162h1.094c.84 0 1.53.692 1.53 1.532v5.25c0 .84-.69 1.531-1.53 1.531H4.937c-.84 0-1.53-.691-1.53-1.531v-5.25c0-.84.69-1.532 1.53-1.532h1.094v1.313H4.938a.217.217 0 0 0-.22.219v5.25c0 .122.097.218.22.218h6.125a.217.217 0 0 0 .218-.218v-5.25a.217.217 0 0 0-.219-.219H9.97z" clip-rule="evenodd"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = l([
  v("icon-share2")
], s);
export {
  s as IconShare2
};
